## org.gnu.gtk
Class CellRendererAttribute

    java.lang.Object
      org.gnu.gtk.CellRendererAttribute

Direct Known Subclasses:
  CellRendererPixbuf.Attribute, CellRendererText.Attribute, CellRendererToggle.Attribute

public class CellRendererAttribute
extends java.lang.Object

`CellRenderer`s have attributes which can be set based on data from the `TreeModel` (currently only implemented by `ListStore` and `TreeStore`). Mapping renderer attributes to TreeModel dataBlocks is done via the `TreeViewColumn` object.

For a full overview of the tree and list objects, please see the `TreeView` widget description.

Constructor Summary
`protected` `CellRendererAttribute(java.lang.String attr)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellRendererAttribute

    protected CellRendererAttribute(java.lang.String attr)

Method Detail

### toString

    public java.lang.String toString()